#### 4.2.5 Macros

If PolyORB is compiled with GNATCOLL support, macros can be used in the configuration file, and will be expanded automatically.

Macros can be defined by setting parameters in the `[macros]` section of the runtime configuration. The following macros are predefined:

`hostname`

  The local host name

Macro references can appear anywhere in runtime parameter values and are of the form `$macro-name` or `${macro-name}`.

For example, in order for a single setting to control all GIOP-based binding modules, one can specify:

    [macros]
    giop_enable=true
    # ... or false

    [modules]
    binding_data.iiop=$giop_enable
    binding_data.iiop.ssliop=$giop_enable
    binding_data.diop=$giop_enable
    binding_data.uipmc=$giop_enable